Subject: Re: Git's Perl scripts can fail if user is configured for perlbrew

From: "Randy J. Ray" <[email-masked]>
Date: Mon, 29 Dec 2014 15:57:30 -0600

On 12/29/14, 7:40 AM, Torsten Bögershausen wrote:
> Having problems with different perl installations is not an unknown problem
> in Git, I would say.
>
> And Git itself is prepared to handle this situation:
>
> In Makefile I can read:
> # Define PERL_PATH to the path of your Perl binary (usually /usr/bin/perl).
>
> (What Git can not decide is which perl it should use, the one pointed out by $PATH or /usr/bin/perl.)
>
> What does
> "type perl" say ?
>
> And what happens when you build and install Git like this:
> PERL_PATH=/XX/YY/perl make install
>
> -----------
> Are you thinking about changing
> ifndef PERL_PATH
> 	PERL_PATH = /usr/bin/perl
> endif
> -- into --
> ifndef PERL_PATH
> 	PERL_PATH = $(shell which perl)
> endif
> ---
>
> At first glance that could make sense, at least to me.

The problem in this case is the Perl being used at run-time, not 
build-time. The building of git is done by the homebrew project in this 
case, so I don't have direct control over it.

Randy
-- 
"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
Randy J. Ray      Sunnyvale, CA      http://www.dereferenced.com
[email-masked]
twitter.com/rjray
Silicon Valley Scale Modelers: http://www.svsm.org